import { Report } from '../../models/content/report';
import { ResultBase } from '../../models/http/resultBase';
import { HttpCommandBase } from '../abstract/httpCommandBase';
import { HttpMethod } from '../abstract/httpMethod';

export class GetReportContentCommand extends HttpCommandBase<void, Report, ResultBase> {
    public endpoint: string = '/users/{externalId}/report/{contentId}';
    public method: HttpMethod = HttpMethod.Get;

    constructor(private contentId: string) {
        super();
    }

    public buildEndpoint(): string {
        const baseResult = super.buildEndpoint();
        return baseResult.replace('{contentId}', this.contentId);
    }

    public buildRequestContent(): void {

    }
}